package com.ekingwin.bas.cloud.solr.dto;

import java.io.Serializable;

public class JiucaiyunSolrRequestDTO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 9119550987077111551L;
	private String jiucaiyun_keywords;// 关键词
	private String jiucaiyun_catalog;// 分类id
	private String jiucaiyun_brand;// 品牌
	private String jiucaiyun_type;// 商品类型
	private String jiucaiyun_model;// 规格
	private String jiucaiyun_price;// 价格
	private String jiucaiyun_salesvolume;// 销量
	private String jiucaiyun_permission;// 销售限制
	private String jiucaiyun_price_order;// 价格排序 asc升序，desc降序
	private String jiucaiyun_salesvolume_order;// 销量排序，按降序
	private String jiucaiyun_supplierid;// 销量排序，按降序
	private String jiucaiyun_suppliernum;// 销量排序，按降序
	
	private String jiucaiyun_level;//客户等级

	//区分是项目还是个人商品 XM GR
	private String jiucaiyun_ftnpjc;

	//区分商品类型 HD 活动 常规CG
	private String jiucaiyun_ftnpconfiguration;

	private Integer pageNo = 1;
	private Integer pageSize = 10;
	private Integer startRow;


	/**
	 * Getter for property 'jiucaiyun_ftnpjc'.
	 *
	 * @return Value for property 'jiucaiyun_ftnpjc'.
	 */
	public String getJiucaiyun_ftnpjc() {
		return jiucaiyun_ftnpjc;
	}

	/**
	 * Setter for property 'jiucaiyun_ftnpjc'.
	 *
	 * @param jiucaiyun_ftnpjc Value to set for property 'jiucaiyun_ftnpjc'.
	 */
	public void setJiucaiyun_ftnpjc(String jiucaiyun_ftnpjc) {
		this.jiucaiyun_ftnpjc = jiucaiyun_ftnpjc;
	}

	/**
	 * Getter for property 'jiucaiyun_ftnpconfiguration'.
	 *
	 * @return Value for property 'jiucaiyun_ftnpconfiguration'.
	 */
	public String getJiucaiyun_ftnpconfiguration() {
		return jiucaiyun_ftnpconfiguration;
	}

	/**
	 * Setter for property 'jiucaiyun_ftnpconfiguration'.
	 *
	 * @param jiucaiyun_ftnpconfiguration Value to set for property 'jiucaiyun_ftnpconfiguration'.
	 */
	public void setJiucaiyun_ftnpconfiguration(String jiucaiyun_ftnpconfiguration) {
		this.jiucaiyun_ftnpconfiguration = jiucaiyun_ftnpconfiguration;
	}

	public String getJiucaiyun_keywords() {
		return jiucaiyun_keywords;
	}

	public void setJiucaiyun_keywords(String jiucaiyun_keywords) {
		this.jiucaiyun_keywords = jiucaiyun_keywords;
	}

	public String getJiucaiyun_catalog() {
		return jiucaiyun_catalog;
	}

	public void setJiucaiyun_catalog(String jiucaiyun_catalog) {
		this.jiucaiyun_catalog = jiucaiyun_catalog;
	}

	public String getJiucaiyun_brand() {
		return jiucaiyun_brand;
	}

	public void setJiucaiyun_brand(String jiucaiyun_brand) {
		this.jiucaiyun_brand = jiucaiyun_brand;
	}

	public String getJiucaiyun_type() {
		return jiucaiyun_type;
	}

	public void setJiucaiyun_type(String jiucaiyun_type) {
		this.jiucaiyun_type = jiucaiyun_type;
	}

	public String getJiucaiyun_price() {
		return jiucaiyun_price;
	}

	public void setJiucaiyun_price(String jiucaiyun_price) {
		this.jiucaiyun_price = jiucaiyun_price;
	}

	public String getJiucaiyun_salesvolume() {
		return jiucaiyun_salesvolume;
	}

	public void setJiucaiyun_salesvolume(String jiucaiyun_salesvolume) {
		this.jiucaiyun_salesvolume = jiucaiyun_salesvolume;
	}

	public String getJiucaiyun_price_order() {
		return jiucaiyun_price_order;
	}

	public void setJiucaiyun_price_order(String jiucaiyun_price_order) {
		this.jiucaiyun_price_order = jiucaiyun_price_order;
	}  

	public String getJiucaiyun_supplierid() {
		return jiucaiyun_supplierid;
	}

	public void setJiucaiyun_supplierid(String jiucaiyun_supplierid) {
		this.jiucaiyun_supplierid = jiucaiyun_supplierid;
	}

	public String getJiucaiyun_suppliernum() {
		return jiucaiyun_suppliernum;
	}

	public void setJiucaiyun_suppliernum(String jiucaiyun_suppliernum) {
		this.jiucaiyun_suppliernum = jiucaiyun_suppliernum;
	}

	public Integer getPageNo() {
		return pageNo;
	}

	public void setPageNo(Integer pageNo) {
		this.pageNo = pageNo;
	}

	public Integer getPageSize() {
		return pageSize;
	}

	public void setPageSize(Integer pageSize) {
		this.pageSize = pageSize;
	}

	public Integer getStartRow() {
		return (this.pageNo - 1) * this.pageSize;
	}

	public void setStartRow(Integer startRow) {
		this.startRow = startRow;
	}

	public String getJiucaiyun_permission() {
		return jiucaiyun_permission;
	}

	public void setJiucaiyun_permission(String jiucaiyun_permission) {
		this.jiucaiyun_permission = jiucaiyun_permission;
	}

	public String getJiucaiyun_salesvolume_order() {
		return jiucaiyun_salesvolume_order;
	}

	public void setJiucaiyun_salesvolume_order(String jiucaiyun_salesvolume_order) {
		this.jiucaiyun_salesvolume_order = jiucaiyun_salesvolume_order;
	}

	public String getJiucaiyun_level() {
		return jiucaiyun_level;
	}

	public void setJiucaiyun_level(String jiucaiyun_level) {
		this.jiucaiyun_level = jiucaiyun_level;
	}

	public String getJiucaiyun_model() {
		return jiucaiyun_model;
	}

	public void setJiucaiyun_model(String jiucaiyun_model) {
		this.jiucaiyun_model = jiucaiyun_model;
	}


}
