package com.ekingwin.bas.cloud.solr.service;

import com.ekingwin.bas.cloud.solr.JiucaiyunSolrException;
import com.ekingwin.bas.cloud.solr.dto.JiucaiyunSolrRequestDTO;
import com.ekingwin.bas.cloud.solr.dto.JiucaiyunSolrResponseDTO;
import com.ekingwin.bas.cloud.solr.dto.JiucaiyunSolrSupplierDTO;

public interface IJiucaiyunSolrService {

	public Boolean initData() throws JiucaiyunSolrException;

	public JiucaiyunSolrResponseDTO queryData(JiucaiyunSolrRequestDTO request) throws JiucaiyunSolrException;

	public JiucaiyunSolrSupplierDTO querySupplier(Long id) throws JiucaiyunSolrException;

	public Boolean productUpData(String id) throws JiucaiyunSolrException;
	
	public Boolean productUpdateSalesNum(String data) throws JiucaiyunSolrException;

	public Boolean productDownData(String id) throws JiucaiyunSolrException;

	public Boolean destoryData() throws JiucaiyunSolrException;
}
